Bug 653015 - Bad installation directory and permissions for suck and rpost
Summary: Bad installation directory and permissions for suck and rpost
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: suck
Version: 15
Hardware: Unspecified
OS: Unspecified
low
medium
Target Milestone: ---
Assignee: Jochen Schmitt
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-11-14 04:53 UTC by Sam Varshavchik
Modified: 2012-08-07 20:14 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-08-07 20:14:15 UTC


Attachments (Terms of Use)

Description Sam Varshavchik 2010-11-14 04:53:41 UTC
Description of problem:

suck, in F14, gets installed in a directory that's not in the default PATH, and is not executable

Version-Release number of selected component (if applicable):

suck-4.3.2-31.fc14.x86_64

How reproducible:

Always

Steps to Reproduce:
1. Install suck
2. Attempt to use scripts, etc., that run rpost, and worked in F13
  
Actual results:

rpost is not found

Expected results:

rpost works as before

Additional info:

Looks like the entire package has broken permissions:

[mrsam@monster ~]$ ls -ald /usr/share/doc/suck-4.3.2
drw-r--r-- 3 root root 4096 Nov 13 09:56 /usr/share/doc/suck-4.3.2

The lack of world-execute perms prevents non-root users from browsing package docs.

Furthermore, the suck package puts its binaries in /usr/libexec/news, which is not in the default PATH.

suck's and rpost permissions are broken:

[mrsam@monster ~]$ rpm -q -l -v suck | grep /usr/libexec/news
-rwxrwxr--    1 news    root                     4567 Jul  7 11:15 /usr/libexec/news/getnews
-rwxrwxr--    1 news    root                    28416 Jul  7 11:15 /usr/libexec/news/lmove
-rwxrwxr--    1 news    root                    40840 Jul  7 11:15 /usr/libexec/news/rpost
-rwxrwxr--    1 news    root                   134152 Jul  7 11:15 /usr/libexec/news/suck
-rwxr-xr-x    1 root    root                    23904 Jul  7 11:15 /usr/libexec/news/testhost

Without world-execute perms, non-root, non-news, users cannot even run suck or rpost.

Comment 1 Jochen Schmitt 2010-11-15 19:47:46 UTC
I aggree with you with the issues of accessing the /usr/share/doc/suck-4.3.2/.

Regarding of your issue with the rpost executable, you have to execute it under the news user to be sure, that this command works properly. So the unability to execute this command should force you to call this command after you are login with the news user accound.

I have create suck-4.3.2-32.fc15. It may be nice, if you can try out this package.

Comment 2 Sam Varshavchik 2010-11-15 22:51:49 UTC
Previous versions of suck installed rpost in /usr/bin, and world readable:

$ rpm -q -l -v -p suck-4.3.2-29.fc13.x86_64.rpm | grep rpost
-rwxr-xr-x    1 root    root                    40840 Dec  6  2009 /usr/bin/rpost
-rw-r--r--    1 root    root                     4516 Dec  6  2009 /usr/share/man/man1/rpost.1.gz

What's the reason for such a drastic change going from 4.3.2-29 to 4.3.2-31, which broke countless number of scripts?

Comment 3 Sam Varshavchik 2011-06-21 11:10:29 UTC
This bug still exists in 4.3.2-33.fc15

[root@monster news]# rpm -q -l -v suck | grep rpost
-rwxrwxr--    1 news    root                    38152 Feb  9 11:34 /usr/libexec/news/rpost
-rw-r--r--    1 root    root                     4516 Feb  9 11:34 /usr/share/man/man1/rpost.1.gz

Comment 4 Fedora End Of Life 2012-08-07 20:14:18 UTC
This message is a notice that Fedora 15 is now at end of life. Fedora
has stopped maintaining and issuing updates for Fedora 15. It is
Fedora's policy to close all bug reports from releases that are no
longer maintained. At this time, all open bugs with a Fedora 'version'
of '15' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that
we were unable to fix it before Fedora 15 reached end of life. If you
would still like to see this bug fixed and are able to reproduce it
against a later version of Fedora, you are encouraged to click on
"Clone This Bug" (top right of this page) and open it against that
version of Fedora.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

The process we are following is described here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping


Note You need to log in before you can comment on or make changes to this bug.